> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch table detail for a saved connector

> Returns detailed metadata for a specific table on the saved connector. Requires 'schemaName' and 'tableName' query parameters; 'isView' is optional.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /connectors/{uuid}/detail
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.46
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/{uuid}/detail:
    get:
      tags:
        - Connectors
      summary: Fetch table detail for a saved connector
      description: >-
        Returns detailed metadata for a specific table on the saved connector.
        Requires 'schemaName' and 'tableName' query parameters; 'isView' is
        optional.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsConnectorTableDetailResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsConnectorTableDetailResponse:
      properties:
        columns:
          items:
            $ref: '#/components/schemas/PayloadsConnectorColumn'
          type: array
        createdAt:
          format: date-time
          type:
            - 'null'
            - string
        isView:
          type: boolean
        metadata:
          items:
            $ref: '#/components/schemas/PayloadsCatalogTableProperty'
          type: array
        modifiedAt:
          format: date-time
          type:
            - 'null'
            - string
        name:
          type: string
        schema:
          type: string
        unreadable:
          type: boolean
      type: object
    PayloadsConnectorColumn:
      properties:
        metadata:
          $ref: '#/components/schemas/PayloadsConnectorColumnMetadata'
        name:
          type: string
      type: object
    PayloadsCatalogTableProperty:
      properties:
        isDate:
          type: boolean
        key:
          type: string
        value: {}
      type: object
    PayloadsConnectorColumnMetadata:
      properties:
        comment:
          type: string
        dataType:
          type: string
        defaultValue:
          type:
            - 'null'
            - string
        isPrimaryKey:
          type:
            - 'null'
            - boolean
        notNull:
          type: boolean
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````